get
https://{host}/v2/customers/
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Important Note
| When | fetchDataForAllProgramsis true | fetchDataForAllProgramsis false |
|---|---|---|
| programId is passed | You will still see tier details of the customer across all programs | You will still see tier details of the customer for that particular program. |
| programId is not passed | You will still see tier details of the customer across all programs | You will still see tier details of the customer for the default program. |
Response example
{
"entityId": 566881933,
"entityType": "CUSTOMER",
"programTiers": [
{
"programId": 973,
"currentTierName": "Diamond",
"currentTierSerialNumber": 8,
"tierExpiryDate": "2125-03-26 23:59:59",
"tierExpiryDateISO": "2125-03-26T23:59:59Z",
"nextTierName": "",
"nextTierSerialNumber": -1
}
],
"warnings": []
}Response Parameters
| Parameter | Datatype | Description |
|---|---|---|
| entityId | long | Unique ID of the customer. |
| currentTierSerialNumber | int | Serial number of the current tier. For highest tier, this value is shown as -1 meaning no next tier is available. |
| nextTierSerialNumber | int | Serial number of the next tier. For highest tier, this value is shown as -1 meaning no next tier is available. |
| tierExpiryDate | int | Indicates the creation date and time of the target cycle in the server time zone in YYYY-MM-DD- format. Note: This field will be deprecated in the future and is being replaced by tierExpiryDateISO. |
| tierExpiryDateISO | String | Indicates the creation date and time of the target cycle in ISO 8601 format, returned in the server time zone. EU server example India server example Note: The response time zone always matches the server time zone, regardless of the time zone offset in the request. |
